## hyphy 2.2.6+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.0)
project(HyPhy)
cmake_policy(VERSION 3.0.0)
cmake_policy(SET CMP0026 OLD)

set(CMAKE_CONFIGURATION_TYPES Release)

#-------------------------------------------------------------------------------
# SSE MACROS
#-------------------------------------------------------------------------------

macro(PCL_CHECK_FOR_SSE3)
  include(CheckCXXSourceRuns)
  set(CMAKE_REQUIRED_FLAGS)

  if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANG)
      set(CMAKE_REQUIRED_FLAGS "-msse3")
  endif(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANG)

  check_cxx_source_runs("
      #include <pmmintrin.h>
      int main ()
      {
          __m128d a, b;
          double vals[2] = {0};
          a = _mm_loadu_pd (vals);
          b = _mm_hadd_pd (a,a);
          _mm_storeu_pd (vals, b);
          return (0);
      }"
      HAVE_SSE3_EXTENSIONS)
endmacro(PCL_CHECK_FOR_SSE3)

#-------------------------------------------------------------------------------
# SSE MACROS
#-------------------------------------------------------------------------------

macro(PCL_CHECK_FOR_AVX)
  include(CheckCXXSourceRuns)
  set(CMAKE_REQUIRED_FLAGS)

  if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANG)
      set(CMAKE_REQUIRED_FLAGS "-march=corei7-avx -mtune=corei7-avx")
  endif(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANG)

  check_cxx_source_runs("
      #include <immintrin.h>
      int main ()
      {
          __m256d a, b;
          double vals[4] = {0.};
          a = _mm256_loadu_pd (vals);
          b = _mm256_hadd_pd (a,a);
          _mm256_storeu_pd (vals, b);
          return (0);
      }"
      HAVE_AVX_EXTENSIONS)
endmacro(PCL_CHECK_FOR_AVX)


#-------------------------------------------------------------------------------
# set the CMAKE_MODULE_PATH so we can import OpenCL
#-------------------------------------------------------------------------------
set(CMAKE_MODULE_PATH cmake)
set(HYPHY_VERSION 2.1)

#-------------------------------------------------------------------------------
# figure out some system-stuff for compile-time workarounds
#-------------------------------------------------------------------------------
set(MACOSX_LION false)
if(${CMAKE_SYSTEM_NAME} STREQUAL "Darwin")
    if(${CMAKE_SYSTEM_VERSION} VERSION_GREATER 11.0.0 OR ${CMAKE_SYSTEM_VERSION} VERSION_EQUAL 11.0.0)
        set(MACOSX_LION true)
    endif(${CMAKE_SYSTEM_VERSION} VERSION_GREATER 11.0.0 OR ${CMAKE_SYSTEM_VERSION} VERSION_EQUAL 11.0.0)
    
    if(${CMAKE_SYSTEM_VERSION} VERSION_GREATER 12.0.0 OR ${CMAKE_SYSTEM_VERSION} VERSION_EQUAL 12.0.0)
        set(MACOSX_LION false)
    endif(${CMAKE_SYSTEM_VERSION} VERSION_GREATER 12.0.0 OR ${CMAKE_SYSTEM_VERSION} VERSION_EQUAL 12.0.0)
    
endif(${CMAKE_SYSTEM_NAME} STREQUAL "Darwin")

set(MACOSX_GT_LION false)
if(${CMAKE_SYSTEM_NAME} STREQUAL "Darwin")
    if(${CMAKE_SYSTEM_VERSION} VERSION_GREATER 11.0.0 OR ${CMAKE_SYSTEM_VERSION} VERSION_EQUAL 11.0.0)
        set(MACOSX_GT_LION true)
    endif(${CMAKE_SYSTEM_VERSION} VERSION_GREATER 11.0.0 OR ${CMAKE_SYSTEM_VERSION} VERSION_EQUAL 11.0.0)
endif(${CMAKE_SYSTEM_NAME} STREQUAL "Darwin")




#-------------------------------------------------------------------------------
# make it fast, scotty
#-------------------------------------------------------------------------------
if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
    execute_process(
        COMMAND ${CMAKE_CXX_COMPILER} -dumpversion
        OUTPUT_VARIABLE GCC_VERSION
    )

    set(GCC45 false)
    set(GCC46 false)

    if(${GCC_VERSION} VERSION_GREATER 4.5 OR ${GCC_VERSION} VERSION_EQUAL 4.5)
        set(GCC45 true)
    endif(${GCC_VERSION} VERSION_GREATER 4.5 OR ${GCC_VERSION} VERSION_EQUAL 4.5)

    if(${GCC_VERSION} VERSION_GREATER 4.6 OR ${GCC_VERSION} VERSION_EQUAL 4.6)
        set(GCC46 true)
    endif(${GCC_VERSION} VERSION_GREATER 4.6 OR ${GCC_VERSION} VERSION_EQUAL 4.6)

    if(${MACOSX_LION})
        set(DEFAULT_WARNING_FLAGS "-Wno-int-to-pointer-cast -Wno-conversion-null -Wno-dangling-else -Wno-logical-op-parentheses")
    endif(${MACOSX_LION})

    if(${GCC45})
        set(DEFAULT_COMPILE_FLAGS "-g -fsigned-char -O3")
    else(${GCC45})
        set(DEFAULT_COMPILE_FLAGS "-g -fsigned-char -O3")
    endif(${GCC45})

    if(${GCC46})
        set(DEFAULT_WARNING_FLAGS "-Wno-int-to-pointer-cast -Wno-conversion-null")
    endif(${GCC46})
    
    PCL_CHECK_FOR_AVX()
    if(${HAVE_AVX_EXTENSIONS})
        set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -march=corei7-avx -mtune=corei7-avx")
        add_definitions (-D_SLKP_USE_AVX_INTRINSICS)
    else(${HAVE_AVX_EXTENSIONS})
        PCL_CHECK_FOR_SSE3()
        if(${HAVE_SSE3_EXTENSIONS})
            add_definitions (-D_SLKP_USE_SSE_INTRINSICS)
            set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -msse3 ")
        endif(${HAVE_SSE3_EXTENSIONS})
    endif (${HAVE_AVX_EXTENSIONS})
    

    set(DEFAULT_LINK_FLAGS "${DEFAULT_COMPILE_FLAGS}")
endif(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)

if(NOT DEFINED DEFAULT_COMPILE_FLAGS)
    set(DEFAULT_COMPILE_FLAGS "")
endif(NOT DEFINED DEFAULT_COMPILE_FLAGS)

if(NOT DEFINED DEFAULT_LINK_FLAGS)
    set(DEFAULT_LINK_FLAGS "")
endif(NOT DEFINED DEFAULT_LINK_FLAGS)

if(NOT DEFINED DEFAULT_WARNING_FLAGS)
    set(DEFAULT_WARNING_FLAGS "")
endif(NOT DEFINED DEFAULT_WARNING_FLAGS)


#-------------------------------------------------------------------------------
# OpenMP support
#-------------------------------------------------------------------------------
find_package(OpenMP)

if(${MACOSX_LION} OR NOT ${OPENMP_FOUND})
    set(OpenMP_CXX_FLAGS "")
endif(${MACOSX_LION} OR NOT ${OPENMP_FOUND})


#-------------------------------------------------------------------------------
# default installation prefix
#-------------------------------------------------------------------------------
set(INSTALL_PREFIX /usr/local CACHE PATH "Installation prefix")
set(CMAKE_INSTALL_PREFIX ${INSTALL_PREFIX} CACHE INTERNAL "Installation prefix" FORCE)
set(DEFAULT_LIBRARIES dl pthread)

#-------------------------------------------------------------------------------
# LIBCurl support
#-------------------------------------------------------------------------------
find_package(CURL)
if(${CURL_FOUND})
    set(DEFAULT_LIBRARIES dl pthread crypto curl ssl)
    add_definitions (-D__HYPHYCURL__)
endif(${CURL_FOUND})

#-------------------------------------------------------------------------------
# gtest dependency
#-------------------------------------------------------------------------------
add_subdirectory(contrib/gtest-1.7.0)
set_property(
    TARGET gtest gtest_main
    PROPERTY EXCLUDE_FROM_ALL true
)


#-------------------------------------------------------------------------------
# uninstall target
#-------------------------------------------------------------------------------
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY
)
add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)


#-------------------------------------------------------------------------------
# setup the files we'll be using
#-------------------------------------------------------------------------------
file(GLOB SRC_CORE src/core/*.cpp)
file(GLOB SRC_GUI src/gui/*.cpp src/gui/Components/*.cpp)
file(GLOB SRC_GTESTS tests/gtests/*.cpp)
file(GLOB SRC_NEW src/new/*.cpp)

set(SRC_LINK src/lib/Link/THyPhy.cpp)
set(SRC_PREFS src/gui/preferences.cpp)
set(SRC_SQLITE3 contrib/SQLite-3.8.2/sqlite3.c)
set(SRC_UNIXMAIN src/mains/unix.cpp)
set(SRC_GTKMAIN src/mains/gtk.cpp)
set(SRC_MACMAIN src/mains/mac.cpp)
set(SRC_UTILS src/utils/hyphyunixutils.cpp)

set(SRC_COMMON ${SRC_CORE} ${SRC_NEW} ${SRC_SQLITE3} ${SRC_UTILS})


#-------------------------------------------------------------------------------
# setup some source properties so that we don't spam stdout
#-------------------------------------------------------------------------------
set_property(
    SOURCE ${SRC_CORE}
    PROPERTY COMPILE_FLAGS "${DEFAULT_WARNING_FLAGS}"
)

set_property(
    SOURCE ${SRC_SQLITE3}
    PROPERTY COMPILE_FLAGS "-Wno-int-to-pointer-cast -Wno-pointer-to-int-cast"
)

set_property(
    SOURCE src/core/calcnode2.cpp
    PROPERTY COMPILE_FLAGS "-fstrict-aliasing -funroll-loops"
)

#-------------------------------------------------------------------------------
# shared compilation definitions and header includes
#-------------------------------------------------------------------------------
add_definitions(-D_SLKP_LFENGINE_REWRITE_ -D__AFYP_REWRITE_BGM__)

if(CMAKE_SIZEOF_VOID_P EQUAL 8)
    add_definitions(-D__HYPHY_64__)
endif(CMAKE_SIZEOF_VOID_P EQUAL 8)

include_directories(
    src/core/include
    src/lib/Link src/new/include
    contrib/SQLite-3.8.2 # SQLite
    src/gui/include
    src/gui/include/Components
    src/gui/include/WindowClasses
    contrib/gtest-1.7.0/include
    tests/gtests
)


#-------------------------------------------------------------------------------
# shared hyphy hbl stdlib target
#-------------------------------------------------------------------------------
install(DIRECTORY res/ DESTINATION lib/hyphy)


#-------------------------------------------------------------------------------
# hyphy library target
#-------------------------------------------------------------------------------
add_library(
  hyphy_mp SHARED
  EXCLUDE_FROM_ALL
  ${SRC_COMMON} ${SRC_LINK} ${SRC_PREFS}
)
target_link_libraries(hyphy_mp ${DEFAULT_LIBRARIES})

install(
  TARGETS hyphy_mp
  LIBRARY DESTINATION lib
  OPTIONAL
)

add_custom_target(LIB DEPENDS hyphy_mp)

set_property(
    TARGET hyphy_mp
    APPEND PROPERTY COMPILE_DEFINITIONS __HEADLESS__
)


#-------------------------------------------------------------------------------
# hyphy mp2 target
#-------------------------------------------------------------------------------
add_executable(
    HYPHYMP
    EXCLUDE_FROM_ALL
    ${SRC_COMMON} ${SRC_UNIXMAIN}
)

target_link_libraries(HYPHYMP ${DEFAULT_LIBRARIES})

install(
    TARGETS HYPHYMP
    RUNTIME DESTINATION bin
    OPTIONAL
)

add_custom_target(MP2 DEPENDS HYPHYMP)


#-------------------------------------------------------------------------------
# hyphy OpenCL target
#-------------------------------------------------------------------------------
find_package(OpenCL)
if(${OPENCL_FOUND})

    add_executable(
        HYPHYOCL
        EXCLUDE_FROM_ALL
        ${SRC_COMMON} ${SRC_UNIXMAIN} ${CMAKE_CURRENT_BINARY_DIR}/src/ocl/opencl_kernels.h
    )

    include_directories(${OPENCL_INCLUDE_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}/src/ocl)
    target_link_libraries(HYPHYOCL ${DEFAULT_LIBRARIES} ${OPENCL_LIBRARIES})

    install(
        TARGETS HYPHYOCL
        RUNTIME DESTINATION bin
        OPTIONAL
    )

    add_custom_target(OCL DEPENDS HYPHYOCL)
    set_property(
        TARGET HYPHYOCL
        APPEND PROPERTY COMPILE_DEFINITIONS __MP__ __MP2__ __UNIX__ _HY_GPU_EXAMPLE_CALCULATOR MDSOCL
    )
    set_target_properties(
        HYPHYOCL
        PROPERTIES
        COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS}"
        LINK_FLAGS "${DEFAULT_LINK_FLAGS}"
    )
    add_executable(
        cl2hdr
        EXCLUDE_FROM_ALL
        contrib/cl2hdr.c
    )
    add_custom_command(
        OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/src/ocl/opencl_kernels.h
        COMMAND cl2hdr ${CMAKE_CURRENT_SOURCE_DIR}/src/ocl/opencl_kernels.cl ${CMAKE_CURRENT_BINARY_DIR}/src/ocl/opencl_kernels.h
        DEPENDS cl2hdr ${CMAKE_CURRENT_SOURCE_DIR}/src/ocl/opencl_kernels.cl
    )
endif(${OPENCL_FOUND})


#-------------------------------------------------------------------------------
# hyphy mpi target
#-------------------------------------------------------------------------------
find_package(MPI)

## hyphy 2.2.5+dfsg

=== debian/changelog ===
hyphy (2.2.5+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #792087)

 -- Andreas Tille <tille@debian.org>  Sat, 11 Jul 2015 06:57:36 +0200

=== debian/control ===
Source: hyphy
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               cmake,
               python-dev,
               python3-dev,
               mpi-default-dev,
               libcurl4-gnutls-dev | libcurl4-dev,
               python,
               libgtk2.0-dev,
               libssl-dev,
               libsqlite3-dev
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/hyphy.git
Vcs-Git: git://anonscm.debian.org/debian-med/hyphy.git
Homepage: http://hyphy.org/
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4

Package: hyphygui
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         hyphy-common
Description: Hypothesis testing using Phylogenies (GTK+ gui)
 HyPhy is an open-source software package for the analysis of genetic
 sequences using techniques in phylogenetics, molecular evolution, and
 machine learning. It features a complete graphical user interface (GUI)
 and a rich scripting language for limitless customization of analyses.
 Additionally, HyPhy features support for parallel computing environments
 (via message passing interface) and it can be compiled as a shared
 library and called from other programming environments such as Python or
 R.  Continued development of HyPhy is currently supported in part by an
 NIGMS R01 award 1R01GM093939.
 .
 This package contains the GTK+ gui.

Package: hyphy-pt
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         hyphy-common
Description: Hypothesis testing using Phylogenies (pthreads version)
 HyPhy is an open-source software package for the analysis of genetic
 sequences using techniques in phylogenetics, molecular evolution, and
 machine learning. It features a complete graphical user interface (GUI)
 and a rich scripting language for limitless customization of analyses.
 Additionally, HyPhy features support for parallel computing environments
 (via message passing interface) and it can be compiled as a shared
 library and called from other programming environments such as Python or
 R.  Continued development of HyPhy is currently supported in part by an
 NIGMS R01 award 1R01GM093939.
 .
 This package provides an executable using pthreads to do multiprocessing.

Package: hyphy-mpi
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         hyphy-common
Description: Hypothesis testing using Phylogenies (MPI version)
 HyPhy is an open-source software package for the analysis of genetic
 sequences using techniques in phylogenetics, molecular evolution, and
 machine learning. It features a complete graphical user interface (GUI)
 and a rich scripting language for limitless customization of analyses.
 Additionally, HyPhy features support for parallel computing environments
 (via message passing interface) and it can be compiled as a shared
 library and called from other programming environments such as Python or
 R.  Continued development of HyPhy is currently supported in part by an
 NIGMS R01 award 1R01GM093939.
 .
 This package provides an executable using MPI to do multiprocessing.

Package: hyphy-common
Architecture: all
Depends: ${misc:Depends}
Suggests: hyphygui | hyphy-mpi | hyphy-pt
Description: Hypothesis testing using Phylogenies (common files)
 HyPhy is an open-source software package for the analysis of genetic
 sequences using techniques in phylogenetics, molecular evolution, and
 machine learning. It features a complete graphical user interface (GUI)
 and a rich scripting language for limitless customization of analyses.
 Additionally, HyPhy features support for parallel computing environments
 (via message passing interface) and it can be compiled as a shared
 library and called from other programming environments such as Python or
 R.  Continued development of HyPhy is currently supported in part by an
 NIGMS R01 award 1R01GM093939.
 .
 This package provides files that are common to all binary versions.

Package: python-hyphy
Architecture: any
Section: python
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         hyphy-common
Description: Hypothesis testing using Phylogenies (Python 2 module)
 HyPhy is an open-source software package for the analysis of genetic
 sequences using techniques in phylogenetics, molecular evolution, and
 machine learning. It features a complete graphical user interface (GUI)
 and a rich scripting language for limitless customization of analyses.
 Additionally, HyPhy features support for parallel computing environments
 (via message passing interface) and it can be compiled as a shared
 library and called from other programming environments such as Python or
 R.  Continued development of HyPhy is currently supported in part by an
 NIGMS R01 award 1R01GM093939.
 .
 This package provides files the Python 2 module.

Package: python3-hyphy
Architecture: any
Section: python
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         hyphy-common
Description: Hypothesis testing using Phylogenies (Python 3 module)
 HyPhy is an open-source software package for the analysis of genetic
 sequences using techniques in phylogenetics, molecular evolution, and
 machine learning. It features a complete graphical user interface (GUI)
 and a rich scripting language for limitless customization of analyses.
 Additionally, HyPhy features support for parallel computing environments
 (via message passing interface) and it can be compiled as a shared
 library and called from other programming environments such as Python or
 R.  Continued development of HyPhy is currently supported in part by an
 NIGMS R01 award 1R01GM093939.
 .
 This package provides files the Python 3 module.

#Package: libhyphy
#Architecture: any
#Depends: ${shlibs:Depends},
#         ${misc:Depends}
#Description: Hypothesis testing using Phylogenies (library)
# HyPhy is an open-source software package for the analysis of genetic
# sequences using techniques in phylogenetics, molecular evolution, and
# machine learning. It features a complete graphical user interface (GUI)
# and a rich scripting language for limitless customization of analyses.
# Additionally, HyPhy features support for parallel computing environments
# (via message passing interface) and it can be compiled as a shared
# library and called from other programming environments such as Python or
# R.  Continued development of HyPhy is currently supported in part by an
# NIGMS R01 award 1R01GM093939.
# .
# This package provides files that a dynamic library.
# .
# .
# The usage is unclear currently and upstream was asked for
# clarification
#

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

pkg=$(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
export PYBUILD_NAME=$(pkg)
PYVERS = $(shell pyversions -r)
PY3VERS = $(shell py3versions -r)

%:
	dh $@ --buildsystem=cmake --with python2,python3

override_dh_auto_clean:
	dh_auto_clean
	cd src/lib ; \
	for py in $(PYVERS) $(PY3VERS); do \
		$${py} -B setup.py clean -a; \
	done

override_dh_auto_configure:
	dh_auto_configure -- -DINSTALL_PREFIX=/usr

override_dh_auto_build:
	# no idea about the purpose of the dynamic library - executables are not simply linked against it
	dh_auto_build -- HYPHYGTK MP2 MPI GTEST # LIB
	# create Python modules
	cd src/lib ; \
	for py in $(PYVERS) $(PY3VERS); do \
		$${py} -B setup.py build; \
	done
	# Build R module - unfortunately this script is broken
	# cd src/lib ; bash build.sh LIBRARY R

override_dh_auto_test:
	./obj-$(DEB_TARGET_GNU_TYPE)/HYPHYGTEST

override_dh_auto_install:
	dh_auto_install
	cd src/lib ; \
	for py in $(PYVERS); do \
		$$py -B setup.py install --skip-build --root ../../debian/python-$(PYBUILD_NAME) \
				      --install-layout deb; \
	done ; \
	for py in $(PY3VERS); do \
		$$py -B setup.py install --skip-build --root ../../debian/python3-$(PYBUILD_NAME) \
				      --install-layout deb; \
	done
	#mkdir -p $(CURDIR)/debian/lib$(pkg)/usr/lib
	#find debian -name "lib*.so" -exec mv \{\} $(CURDIR)/debian/lib$(pkg)/usr/lib \;

override_dh_install:
	# smallcaps for executables
	for bindir in `find . -type d -name bin` ; do \
	    for bin in $${bindir}/* ; do \
	        # ln -s `basename $${bin}` $${bindir}/`basename $${bin} | tr [A-Z] [a-z]` ; \
	        mv $${bindir}/`basename $${bin}` $${bindir}/`basename $${bin} | tr [A-Z] [a-z]` ; \
	    done ; \
	done
	dh_install

get-orig-source:
	uscan --verbose --force-download --repack --compression xz

## hyphy 2.2.6+dfsg

=== debian/changelog ===
hyphy (2.2.6+dfsg-4) unstable; urgency=medium

  * Fix gcc-6 build issue by incorporating upstream patch
    Closes: #811866
  * cme fix dpkg-control
  * Fix more spelling errors
  * hardening=+bindnow

 -- Andreas Tille <tille@debian.org>  Fri, 22 Jul 2016 15:05:54 +0200

hyphy (2.2.6+dfsg-3) unstable; urgency=medium

  * Change build-dep on python3-dev to python3-all-dev to enable building for
    all supported python3 versions (thanks to Scott Kitterman
    <debian@kitterman.com> for the patch)
    Closes: #809452

 -- Andreas Tille <tille@debian.org>  Wed, 30 Dec 2015 21:49:03 +0100

hyphy (2.2.6+dfsg-2) unstable; urgency=medium

  [ Matthias Klose ]
  * Hand-edit swig generated file to build with Python3.5.
    Closes: #802999

  [ Andreas Tille ]
  * Remove arch specific flags
    Closes: #802994

 -- Andreas Tille <tille@debian.org>  Mon, 26 Oct 2015 11:20:39 +0100

hyphy (2.2.6+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Hack around a mac-ism in setup.py

 -- Andreas Tille <tille@debian.org>  Tue, 22 Sep 2015 17:50:33 +0200

hyphy (2.2.5+dfsg-2) unstable; urgency=medium

  * Versioned Build-Depends: cmake (>= 3.0)
  * Drop profiling option (Thanks for the hint to Michael Banck
    <mbanck@debian.org>)
    Closes: #793345
  * Disable unneded test that breaks on 32 bit architectures (Thanks for
    the hint to Jakub Wilk <jwilk@debian.org>)
    Closes: #793346
  * Make sure that also in tests the existence of SSE3 extension is done
    Closes: #793344

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jul 2015 17:13:45 +0200

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,18 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
                dh-python,
-               cmake,
+               cmake (>= 3.0),
                python-dev,
-               python3-dev,
+               python3-all-dev,
                mpi-default-dev,
                libcurl4-gnutls-dev | libcurl4-dev,
                python,
                libgtk2.0-dev,
                libssl-dev,
                libsqlite3-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/hyphy.git
-Vcs-Git: git://anonscm.debian.org/debian-med/hyphy.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/hyphy.git
 Homepage: http://hyphy.org/
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.4

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
 # DH_VERBOSE := 1
+
+# export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 pkg=$(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
 export PYBUILD_NAME=$(pkg)
@@ -32,7 +35,7 @@
 	# cd src/lib ; bash build.sh LIBRARY R
 
 override_dh_auto_test:
-	./obj-$(DEB_TARGET_GNU_TYPE)/HYPHYGTEST
+	find obj-* -name HYPHYGTEST -exec \{\} \;
 
 override_dh_auto_install:
 	dh_auto_install

## hyphy 2.2.7+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -109,6 +109,10 @@
         set(GCC46 true)
     endif(${GCC_VERSION} VERSION_GREATER 4.6 OR ${GCC_VERSION} VERSION_EQUAL 4.6)
 
+    if(${GCC_VERSION} VERSION_GREATER 6.0 OR ${GCC_VERSION} VERSION_EQUAL 6.0)
+        set(GCC6 true)
+    endif(${GCC_VERSION} VERSION_GREATER 6.0 OR ${GCC_VERSION} VERSION_EQUAL 6.0)
+
     if(${MACOSX_LION})
         set(DEFAULT_WARNING_FLAGS "-Wno-int-to-pointer-cast -Wno-conversion-null -Wno-dangling-else -Wno-logical-op-parentheses")
     endif(${MACOSX_LION})
@@ -122,7 +126,12 @@
     if(${GCC46})
         set(DEFAULT_WARNING_FLAGS "-Wno-int-to-pointer-cast -Wno-conversion-null")
     endif(${GCC46})
-    
+
+    if(${GCC6})
+      set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -std=gnu++98 -fno-strict-aliasing -fpermissive")
+      set(DEFAULT_WARNING_FLAGS "${DEFAULT_WARNING_FLAGS} -Wno-error=narrowing")
+    endif(${GCC6})
+
     PCL_CHECK_FOR_AVX()
     if(${HAVE_AVX_EXTENSIONS})
         set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -march=corei7-avx -mtune=corei7-avx")
@@ -209,7 +218,7 @@
 file(GLOB SRC_GTESTS tests/gtests/*.cpp)
 file(GLOB SRC_NEW src/new/*.cpp)
 
-set(SRC_LINK src/lib/Link/THyPhy.cpp)
+set(SRC_LINK src/lib/link/THyPhy.cpp)
 set(SRC_PREFS src/gui/preferences.cpp)
 set(SRC_SQLITE3 contrib/SQLite-3.8.2/sqlite3.c)
 set(SRC_UNIXMAIN src/mains/unix.cpp)
@@ -348,14 +357,3 @@
     )
     add_custom_command(
         OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/src/ocl/opencl_kernels.h
-        COMMAND cl2hdr ${CMAKE_CURRENT_SOURCE_DIR}/src/ocl/opencl_kernels.cl ${CMAKE_CURRENT_BINARY_DIR}/src/ocl/opencl_kernels.h
-        DEPENDS cl2hdr ${CMAKE_CURRENT_SOURCE_DIR}/src/ocl/opencl_kernels.cl
-    )
-endif(${OPENCL_FOUND})
-
-
-#-------------------------------------------------------------------------------
-# hyphy mpi target
-#-------------------------------------------------------------------------------
-find_package(MPI)
-

=== debian/changelog ===
hyphy (2.2.7+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Use xz compression in d/watch
  * python-hyphy is now distributed in separate source archive so
    removing it from this package

 -- Andreas Tille <tille@debian.org>  Fri, 14 Oct 2016 08:01:08 +0200

hyphy (2.2.6+dfsg-5) unstable; urgency=medium

  * Fix error: narrowing conversion from 'double' to 'unsigned char'
  * Fix error: replacing false with nil 
    Closes: #811866

 -- Andreas Tille <tille@debian.org>  Mon, 15 Aug 2016 12:44:58 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,9 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 9),
-               dh-python,
                cmake (>= 3.0),
-               python-dev,
-               python3-all-dev,
                mpi-default-dev,
                libcurl4-gnutls-dev | libcurl4-dev,
-               python,
                libgtk2.0-dev,
                libssl-dev,
                libsqlite3-dev
@@ -18,8 +14,6 @@
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/hyphy.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/hyphy.git
 Homepage: http://hyphy.org/
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.4
 
 Package: hyphygui
 Architecture: any
@@ -92,64 +86,3 @@
  .
  This package provides files that are common to all binary versions.
 
-Package: python-hyphy
-Architecture: any
-Section: python
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${python:Depends},
-         hyphy-common
-Description: Hypothesis testing using Phylogenies (Python 2 module)
- HyPhy is an open-source software package for the analysis of genetic
- sequences using techniques in phylogenetics, molecular evolution, and
- machine learning. It features a complete graphical user interface (GUI)
- and a rich scripting language for limitless customization of analyses.
- Additionally, HyPhy features support for parallel computing environments
- (via message passing interface) and it can be compiled as a shared
- library and called from other programming environments such as Python or
- R.  Continued development of HyPhy is currently supported in part by an
- NIGMS R01 award 1R01GM093939.
- .
- This package provides files the Python 2 module.
-
-Package: python3-hyphy
-Architecture: any
-Section: python
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${python3:Depends},
-         hyphy-common
-Description: Hypothesis testing using Phylogenies (Python 3 module)
- HyPhy is an open-source software package for the analysis of genetic
- sequences using techniques in phylogenetics, molecular evolution, and
- machine learning. It features a complete graphical user interface (GUI)
- and a rich scripting language for limitless customization of analyses.
- Additionally, HyPhy features support for parallel computing environments
- (via message passing interface) and it can be compiled as a shared
- library and called from other programming environments such as Python or
- R.  Continued development of HyPhy is currently supported in part by an
- NIGMS R01 award 1R01GM093939.
- .
- This package provides files the Python 3 module.
-
-#Package: libhyphy
-#Architecture: any
-#Depends: ${shlibs:Depends},
-#         ${misc:Depends}
-#Description: Hypothesis testing using Phylogenies (library)
-# HyPhy is an open-source software package for the analysis of genetic
-# sequences using techniques in phylogenetics, molecular evolution, and
-# machine learning. It features a complete graphical user interface (GUI)
-# and a rich scripting language for limitless customization of analyses.
-# Additionally, HyPhy features support for parallel computing environments
-# (via message passing interface) and it can be compiled as a shared
-# library and called from other programming environments such as Python or
-# R.  Continued development of HyPhy is currently supported in part by an
-# NIGMS R01 award 1R01GM093939.
-# .
-# This package provides files that a dynamic library.
-# .
-# .
-# The usage is unclear currently and upstream was asked for
-# clarification
-#

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

# export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

pkg=$(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
export PYBUILD_NAME=$(pkg)
PYVERS = $(shell pyversions -r)
PY3VERS = $(shell py3versions -r)

%:
	dh $@ --buildsystem=cmake

override_dh_auto_clean:
	dh_auto_clean

override_dh_auto_configure:
	dh_auto_configure -- -DINSTALL_PREFIX=/usr

override_dh_auto_build:
	# no idea about the purpose of the dynamic library - executables are not simply linked against it
	dh_auto_build -- HYPHYGTK MP2 MPI GTEST # LIB

override_dh_auto_test:
	find obj-* -name HYPHYGTEST -exec \{\} \;

override_dh_install:
	# smallcaps for executables
	for bindir in `find . -type d -name bin` ; do \
	    for bin in $${bindir}/* ; do \
	        # ln -s `basename $${bin}` $${bindir}/`basename $${bin} | tr [A-Z] [a-z]` ; \
	        mv $${bindir}/`basename $${bin}` $${bindir}/`basename $${bin} | tr [A-Z] [a-z]` ; \
	    done ; \
	done
	dh_install

=== debian/watch ===
version=3

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/veg/hyphy/releases .*/archive/v*(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## hyphy 2.3.13+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.0)
project(HyPhy)
cmake_policy(VERSION 3.0.0)
cmake_policy(SET CMP0026 NEW)

set(CMAKE_CONFIGURATION_TYPES Release)

#-------------------------------------------------------------------------------
# OPTIONS
#-------------------------------------------------------------------------------

option(NOAVX OFF)
option(NOSSE3 OFF)

#-------------------------------------------------------------------------------
# SSE MACROS
#-------------------------------------------------------------------------------

macro(PCL_CHECK_FOR_SSE3)
  include(CheckCXXSourceRuns)
  set(CMAKE_REQUIRED_FLAGS)

  if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANG)
      set(CMAKE_REQUIRED_FLAGS "-msse3")
  endif(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANG)

  check_cxx_source_runs("
      #include <pmmintrin.h>
      int main ()
      {
          __m128d a, b;
          double vals[2] = {0};
          a = _mm_loadu_pd (vals);
          b = _mm_hadd_pd (a,a);
          _mm_storeu_pd (vals, b);
          return (0);
      }"
      HAVE_SSE3_EXTENSIONS)
endmacro(PCL_CHECK_FOR_SSE3)

#-------------------------------------------------------------------------------
# SSE MACROS
#-------------------------------------------------------------------------------

macro(PCL_CHECK_FOR_AVX)
  include(CheckCXXSourceRuns)
  set(CMAKE_REQUIRED_FLAGS)

  if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANG)
      set(CMAKE_REQUIRED_FLAGS "-march=corei7-avx -mtune=corei7-avx")
  endif(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANG)

  check_cxx_source_runs("
      #include <immintrin.h>
      int main ()
      {
          __m256d a, b;
          double vals[4] = {0.};
          a = _mm256_loadu_pd (vals);
          b = _mm256_hadd_pd (a,a);
          _mm256_storeu_pd (vals, b);
          return (0);
      }"
      HAVE_AVX_EXTENSIONS)
endmacro(PCL_CHECK_FOR_AVX)


#-------------------------------------------------------------------------------
# set the CMAKE_MODULE_PATH so we can import OpenCL
#-------------------------------------------------------------------------------
set(CMAKE_MODULE_PATH cmake)
set(HYPHY_VERSION 2.1)

#-------------------------------------------------------------------------------
# setup the files we'll be using
#-------------------------------------------------------------------------------
file(GLOB SRC_CORE src/core/*.cpp)
file(GLOB SRC_GTESTS tests/gtests/*.cpp)
file(GLOB SRC_NEW src/new/*.cpp)

set(SRC_LINK src/lib/link/THyPhy.cpp)
set(SRC_SQLITE3 contrib/SQLite-3.8.2/sqlite3.c)
set(SRC_UNIXMAIN src/mains/unix.cpp)
set(SRC_UTILS src/utils/hyphyunixutils.cpp)

set(SRC_COMMON ${SRC_CORE} ${SRC_NEW} ${SRC_SQLITE3} ${SRC_UTILS})


#-------------------------------------------------------------------------------
# make it fast, scotty
#-------------------------------------------------------------------------------

set(DEFAULT_WARNING_FLAGS "-w")
set(DEFAULT_DEBUG_WARNING_FLAGS "-Wall -Wno-int-to-pointer-cast -Wno-conversion-null -Wno-sign-compare -Wno-maybe-uninitialized")



if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
    execute_process(
        COMMAND ${CMAKE_CXX_COMPILER} -dumpversion
        OUTPUT_VARIABLE GCC_VERSION
    )

    if (${GCC_VERSION} VERSION_LESS 4.9)
        message(FATAL_ERROR "Require at least gcc-4.9")
    endif()

    if(${GCC_VERSION} VERSION_LESS 6.0)
      set(DEFAULT_COMPILE_FLAGS "-fsigned-char -O3 -std=gnu++14")
    else(${GCC_VERSION} VERSION_LESS 6.0)
      set(DEFAULT_COMPILE_FLAGS "-fsigned-char -O3")
    endif(${GCC_VERSION} VERSION_LESS 6.0)

    if(NOAVX)
        set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -mno-avx")
        if(NOSSE3)
            set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -mno-sse3")
        else(NOSSE)
            PCL_CHECK_FOR_SSE3()
            if(${HAVE_SSE3_EXTENSIONS})
                add_definitions (-D_SLKP_USE_SSE_INTRINSICS)
                set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -msse3 ")
            endif(${HAVE_SSE3_EXTENSIONS})
        endif(NOSSE3)
    else(NOAVX)
       PCL_CHECK_FOR_AVX()
       if(${HAVE_AVX_EXTENSIONS})
            set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -march=corei7-avx -mtune=corei7-avx")
            add_definitions (-D_SLKP_USE_AVX_INTRINSICS)
        else(${HAVE_AVX_EXTENSIONS})
            PCL_CHECK_FOR_SSE3()
            if(${HAVE_SSE3_EXTENSIONS})
                add_definitions (-D_SLKP_USE_SSE_INTRINSICS)
                set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -msse3 ")
            endif(${HAVE_SSE3_EXTENSIONS})
        endif(${HAVE_AVX_EXTENSIONS})
    endif(NOAVX)


    set(DEFAULT_LINK_FLAGS "${DEFAULT_COMPILE_FLAGS}")
endif(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)

if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    set(DEFAULT_COMPILE_FLAGS "-fsigned-char -O3")
    PCL_CHECK_FOR_AVX()
    if(${HAVE_AVX_EXTENSIONS})
        set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -march=corei7-avx -mtune=corei7-avx")
        add_definitions (-D_SLKP_USE_AVX_INTRINSICS)
    else(${HAVE_AVX_EXTENSIONS})
        PCL_CHECK_FOR_SSE3()
        if(${HAVE_SSE3_EXTENSIONS})
            add_definitions (-D_SLKP_USE_SSE_INTRINSICS)
            set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -msse3 ")
        endif(${HAVE_SSE3_EXTENSIONS})
    endif (${HAVE_AVX_EXTENSIONS})

    set_property(
     SOURCE ${SRC_CORE}
     APPEND_STRING PROPERTY  COMPILE_FLAGS " -std=c++14 "
    )
endif (CMAKE_CXX_COMPILER_ID MATCHES "Clang")

set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS}")
MESSAGE ("Set compiler flags to ${DEFAULT_COMPILE_FLAGS}")

if(NOT DEFINED DEFAULT_COMPILE_FLAGS)
    set(DEFAULT_COMPILE_FLAGS "")
endif(NOT DEFINED DEFAULT_COMPILE_FLAGS)

if(NOT DEFINED DEFAULT_LINK_FLAGS)
    set(DEFAULT_LINK_FLAGS "")
endif(NOT DEFINED DEFAULT_LINK_FLAGS)

if(NOT DEFINED DEFAULT_WARNING_FLAGS)
    set(DEFAULT_WARNING_FLAGS "")
endif(NOT DEFINED DEFAULT_WARNING_FLAGS)


#-------------------------------------------------------------------------------
# OpenMP support
#-------------------------------------------------------------------------------
find_package(OpenMP)

if(NOT ${OPENMP_FOUND})
    set(OpenMP_CXX_FLAGS "")
endif(NOT ${OPENMP_FOUND})

#-------------------------------------------------------------------------------
# default installation prefix
#-------------------------------------------------------------------------------
set(INSTALL_PREFIX /usr/local CACHE PATH "Installation prefix")
set(CMAKE_INSTALL_PREFIX ${INSTALL_PREFIX} CACHE INTERNAL "Installation prefix" FORCE)
if(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
    set(DEFAULT_LIBRARIES pthread)
else(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
    set(DEFAULT_LIBRARIES dl pthread)
endif(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")

#-------------------------------------------------------------------------------
# LIBCurl support
#-------------------------------------------------------------------------------
find_package(CURL)
if(${CURL_FOUND} AND NOT APPLE)
    if(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
        set(DEFAULT_LIBRARIES pthread crypto curl ssl)
    else(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
        set(DEFAULT_LIBRARIES dl pthread crypto curl ssl)
    endif(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
    add_definitions (-D__HYPHYCURL__)
endif(${CURL_FOUND} AND NOT APPLE)

#-------------------------------------------------------------------------------
# gtest dependency
#-------------------------------------------------------------------------------
add_subdirectory(contrib/gtest-1.7.0)
set_property(
    TARGET gtest gtest_main
    PROPERTY EXCLUDE_FROM_ALL true
)


#-------------------------------------------------------------------------------
# uninstall target
#-------------------------------------------------------------------------------
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY
)
add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)




#-------------------------------------------------------------------------------
# setup some source properties so that we don't spam stdout
#-------------------------------------------------------------------------------
set_property(
    SOURCE ${SRC_CORE}
    APPEND_STRING PROPERTY  COMPILE_FLAGS "${DEFAULT_WARNING_FLAGS}"
)

set_property(
    SOURCE ${SRC_SQLITE3}
    APPEND_STRING PROPERTY COMPILE_FLAGS " -Wno-int-to-pointer-cast -Wno-pointer-to-int-cast -std=c99"
)

set_property(
    SOURCE src/core/calcnode2.cpp
    APPEND_STRING PROPERTY COMPILE_FLAGS " -fstrict-aliasing -funroll-loops"
)

set_property(
  SOURCE ${SRC_CORE}
  APPEND_STRING PROPERTY COMPILE_FLAGS " -Wno-int-to-pointer-cast"
)

#-------------------------------------------------------------------------------
# shared compilation definitions and header includes
#-------------------------------------------------------------------------------
add_definitions(-D_SLKP_LFENGINE_REWRITE_ -D__AFYP_REWRITE_BGM__)

if(CMAKE_SIZEOF_VOID_P EQUAL 8)
    add_definitions(-D__HYPHY_64__)
endif(CMAKE_SIZEOF_VOID_P EQUAL 8)

include_directories(
    src/core/include
    src/lib/Link src/new/include
    contrib/SQLite-3.8.2 # SQLite
    contrib/gtest-1.7.0/include
    tests/gtests
)


#-------------------------------------------------------------------------------
# shared hyphy hbl stdlib target
#-------------------------------------------------------------------------------
install(DIRECTORY res/ DESTINATION lib/hyphy)

#-------------------------------------------------------------------------------
# HYPHYMP target
#-------------------------------------------------------------------------------
add_executable(
    HYPHYMP
    ${SRC_COMMON} ${SRC_UNIXMAIN}
)

target_link_libraries(HYPHYMP ${DEFAULT_LIBRARIES})

add_custom_target(MP DEPENDS HYPHYMP)

install(
    TARGETS HYPHYMP
    RUNTIME DESTINATION bin
    OPTIONAL
)

#-------------------------------------------------------------------------------
# hyphy OpenCL target
#-------------------------------------------------------------------------------
find_package(OpenCL)
if(${OPENCL_FOUND})

    add_executable(
        HYPHYOCL
        EXCLUDE_FROM_ALL
        ${SRC_COMMON} ${SRC_UNIXMAIN} ${CMAKE_CURRENT_BINARY_DIR}/src/ocl/opencl_kernels.h
    )

    include_directories(${OPENCL_INCLUDE_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}/src/ocl)
    target_link_libraries(HYPHYOCL ${DEFAULT_LIBRARIES} ${OPENCL_LIBRARIES})

    add_custom_target(OCL DEPENDS HYPHYOCL)
    set_property(
        TARGET HYPHYOCL
        APPEND PROPERTY COMPILE_DEFINITIONS __MP__ __MP2__ __UNIX__ _HY_GPU_EXAMPLE_CALCULATOR MDSOCL
    )
    set_target_properties(
        HYPHYOCL
        PROPERTIES
        COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} ${DEFAULT_WARNING_FLAGS}"
        LINK_FLAGS "${DEFAULT_LINK_FLAGS}"
    )
    add_executable(
        cl2hdr
        EXCLUDE_FROM_ALL
        contrib/cl2hdr.c
    )
    add_custom_command(
        OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/src/ocl/opencl_kernels.h
        COMMAND cl2hdr ${CMAKE_CURRENT_SOURCE_DIR}/src/ocl/opencl_kernels.cl ${CMAKE_CURRENT_BINARY_DIR}/src/ocl/opencl_kernels.h
        DEPENDS cl2hdr ${CMAKE_CURRENT_SOURCE_DIR}/src/ocl/opencl_kernels.cl
    )
endif(${OPENCL_FOUND})


#-------------------------------------------------------------------------------
# hyphy mpi target
#-------------------------------------------------------------------------------
find_package(MPI)

if(${MPI_FOUND})

    add_executable(
        HYPHYMPI
        ${SRC_COMMON} ${SRC_UNIXMAIN}
    )

    include_directories(${MPI_INCLUDE_PATH})

    target_link_libraries(HYPHYMPI ${DEFAULT_LIBRARIES} ${MPI_LIBRARIES})

    install(
        TARGETS HYPHYMPI
        RUNTIME DESTINATION bin

=== debian/changelog ===
hyphy (2.3.13+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Steffen Moeller ]
  * debian/upstream/metadata: Added ref to OMICtools

  [ Andreas Tille ]
  * New upstream version
  * debhelper 11
  * Add Build-Depends: opencl-dev
  * debian/rules:
     - Do not parse d/changelog
     - regard $(DEB_BUILD_OPTIONS) for override_dh_auto_test

  [ Liubov Chuprikova ]
  * Drop hyphygui as it was removed from upstream
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Tue, 10 Jul 2018 08:39:13 +0200

=== debian/control ===
--- 
+++ 
@@ -3,35 +3,16 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11~),
                cmake (>= 3.0),
                mpi-default-dev,
                libcurl4-gnutls-dev | libcurl4-dev,
-               libgtk2.0-dev,
                libssl-dev,
                libsqlite3-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/hyphy.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/hyphy.git
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/med-team/hyphy
+Vcs-Git: https://salsa.debian.org/med-team/hyphy.git
 Homepage: http://hyphy.org/
-
-Package: hyphygui
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         hyphy-common
-Description: Hypothesis testing using Phylogenies (GTK+ gui)
- HyPhy is an open-source software package for the analysis of genetic
- sequences using techniques in phylogenetics, molecular evolution, and
- machine learning. It features a complete graphical user interface (GUI)
- and a rich scripting language for limitless customization of analyses.
- Additionally, HyPhy features support for parallel computing environments
- (via message passing interface) and it can be compiled as a shared
- library and called from other programming environments such as Python or
- R.  Continued development of HyPhy is currently supported in part by an
- NIGMS R01 award 1R01GM093939.
- .
- This package contains the GTK+ gui.
 
 Package: hyphy-pt
 Architecture: any
@@ -85,4 +66,3 @@
  NIGMS R01 award 1R01GM093939.
  .
  This package provides files that are common to all binary versions.
-

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,11 @@
 
 # DH_VERBOSE := 1
 
-# export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
-pkg=$(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
-export PYBUILD_NAME=$(pkg)
+include /usr/share/dpkg/default.mk
+
+export PYBUILD_NAME=$(DEB_SOURCE)
 PYVERS = $(shell pyversions -r)
 PY3VERS = $(shell py3versions -r)
 
@@ -21,10 +21,12 @@
 
 override_dh_auto_build:
 	# no idea about the purpose of the dynamic library - executables are not simply linked against it
-	dh_auto_build -- HYPHYGTK MP2 MPI GTEST # LIB
+	dh_auto_build -- MP MPI GTEST # LIB
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	find obj-* -name HYPHYGTEST -exec \{\} \;
+endif
 
 override_dh_install:
 	# smallcaps for executables
